@ECHO OFF
ECHO.
ECHO ***********************************
ECHO *** Installing 'Display Driver' ***
ECHO ***********************************

SET CD_Drive=undefined
FOR %%i IN (D E F G H I J K L M N O P Q R S T U V W X Y Z) DO IF EXIST "%%i:\html" SET CD_Drive=%%i:
IF (%CD_Drive%)==(undefined) GOTO CD_ERROR

%CD_DRIVE%\tdevcon.exe update "%CD_DRIVE%\Display Driver\T882022ISNP.INF" "PCI\VEN_1023&DEV_8820&SUBSYS_00011179" > nul
IF NOT ERRORLEVEL 1 GOTO OK > nul

IF ERRORLEVEL 1 GOTO FAIL
IF ERRORLEVEL 0 GOTO OK

:FAIL
ECHO.
ECHO ***************************
ECHO *** Installation failed ***
ECHO ***************************
ECHO.
GOTO END

:OK
ECHO.
ECHO ******************************************
ECHO *** Installation finished successfully ***
ECHO ******************************************
ECHO.
GOTO END

:CD_ERROR
ECHO.
ECHO ***********************************************
ECHO *** Could not determine CD-ROM drive letter ***
ECHO ***********************************************
ECHO.

:END
pause